> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve connector state

> Fetch the current bookmarks for your tenant's linked connector



## OpenAPI

````yaml get /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors/state
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors/state:
    get:
      summary: Retrieve connector state
      description: Fetch the current bookmarks for your tenant's linked connector
      operationId: retrieve-connector-state
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: query
          description: Name of connector
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    bookmarks:
                      ProfitAndLoss:
                        modified_since: '2021-08-15T14:29:26+00:00'
              schema:
                type: object
                properties:
                  bookmarks:
                    type: object
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````